"""===================================================================
منطق برنامه ای را طراحی کنید که اعداد ۱۰۰ تا ۱۰۰۰ را چاپ کند و چنانچه
عدد زوج باشد مربع آن را محاسبه و چاپ کند و در صورتی که عدد فرد باشد
حاصل ضرب عدد را در عدد زوج ماقبل ان محاسبه و چاپ کند.
==================================================================="""

count = 100
while count < 1000:
    if count % 2 == 0:
        print("sqruare for ",count,"=",count**2)
    else:
        print("Number ",count,"is odd so",count*(count-1))
    count += 1